root = true

# All files
[*]
indent_style = space

# Xml files
[*.xml]
indent_size = 2

[*.cs]
# Настройка правила для приватных полей
dotnet_naming_rule.private_members_with_underscore.symbols = private_fields
dotnet_naming_rule.private_members_with_underscore.style = prefix_underscore
dotnet_naming_rule.private_members_with_underscore.severity = suggestion

# Определение, к чему применяется (к закрытым полям)
dotnet_naming_symbols.private_fields.applicable_kinds = field
dotnet_naming_symbols.private_fields.applicable_accessibilities = private

# Определение самого стиля (префикс _)
dotnet_naming_style.prefix_underscore.capitalization = camel_case
dotnet_naming_style.prefix_underscore.required_prefix = _
